
From: blaisorblade_spam@yahoo.it

When we don't know how to handle ptrace(2) calls, call the arch-independent
ptrace_request like i386 (and I guess other archs) do, instead of returning
-EIO.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/ptrace.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/kernel/ptrace.c~uml-add-generic-ptrace-requests arch/um/kernel/ptrace.c
--- 25/arch/um/kernel/ptrace.c~uml-add-generic-ptrace-requests	2004-10-03 14:28:43.815057824 -0700
+++ 25-akpm/arch/um/kernel/ptrace.c	2004-10-03 14:28:43.818057368 -0700
@@ -287,7 +287,7 @@ int sys_ptrace(long request, long pid, l
 	}
 #endif
 	default:
-		ret = -EIO;
+		ret = ptrace_request(child, request, addr, data);
 		break;
 	}
  out_tsk:
_
